Package uk.ac.starlink.topcat.func

## Class TopcatCgiQuery

- java.lang.Object
- - uk.ac.starlink.util.CgiQuery
  - - uk.ac.starlink.topcat.func.TopcatCgiQuery

-     public class TopcatCgiQuery
      extends uk.ac.starlink.util.CgiQuery

  Extends CgiQuery so it can write to a local file.
  Since:
    1 Oct 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatCgiQuery​(java.lang.String base)` | Constructs a CGI query with no arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `executeAsLocalFile​(java.lang.String extension)` | Sends this query and writes the result to a temporary file.

    - ### Methods inherited from class uk.ac.starlink.util.CgiQuery

      `addArgument, addArgument, addArgument, addArgument, equals, formatDouble, formatDouble, formatFloat, hashCode, toString, toURL`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopcatCgiQuery

          public TopcatCgiQuery​(java.lang.String base)

      Constructs a CGI query with no arguments.
      Parameters:
        `base` - base part of the CGI URL (the bit before the '?')

  - ### Method Detail

    - #### executeAsLocalFile

          public java.io.File executeAsLocalFile​(java.lang.String extension)
                                          throws java.io.IOException

      Sends this query and writes the result to a temporary file.
      Parameters:
        `extension` - file extension of file to write to
      Returns:
        file to which query result was written
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.